<template>
  <section class="col-md-9 col-12">
<!--    <search-scope-select-bar-->
<!--      :config="searchFiltersConfig"-->
<!--    />-->
    <search-filters
      :config="searchFiltersConfig"
    />
    <datasets-info-box />
    <selectedFacetsOverview v-if="getFacets" :selected-facets="getFacets" :available-facets="getAllAvailableFacets" />
    <dataset-details-skeleton v-if="getLoading" type="Datasets" />
    <template v-if="!getLoading">
      <dataset-list-infos />
      <datasets-list />
    </template>
  </section>
</template>

<script>

import {
  DatasetDetailsSkeleton,
  SelectedFacetsOverview,
} from "@piveau/piveau-hub-ui-modules";
import SearchFilters from "@/components/search/search-filters/SearchFilters";
import DatasetsList from "@/components/search/datasets/DatasetsList";
import DatasetListInfos from "@/components/search/datasets/DatasetListInfos";
import DatasetsInfoBox from "@/components/search/datasets/DatasetsInfoBox";
import {mapGetters} from "vuex";
// import SearchScopeSelectBar from "@/components/search/search-filters/SearchScopeSelectBar";

export default {
  name: "DatasetsContent",
  components: {
    // SearchScopeSelectBar,
    SearchFilters,
    DatasetDetailsSkeleton,
    SelectedFacetsOverview,
    DatasetsList,
    DatasetListInfos,
    DatasetsInfoBox
  },
  data() {
    return {
      searchFiltersConfig: {
        scope: "dataset",
        useScopeDropdown: true,
        apiLinkIncludes: `id,title.${this.$route.query.locale},description.${this.$route.query.locale},languages,modified,
        issued,catalog.id,catalog.title,catalog.country.id,distributions.id,distributions.format.label,
        distributions.format.id,distributions.license,categories.label,publisher`,
        textFieldHelpLink: `https://dataeuropa.gitlab.io/data-provider-manual/how-to-search/search-for-datasets/`,
        textKeys: {
          mobileSearchButton: 'message.datasets.ecd.filters.search',
          textFieldPlaceholder: 'message.datasets.searchBar.placeholder',
          count: "message.datasets.countMessage",
          loading: "message.datasets.loadingMessage"
        },
        getQuery: ["datasets", "getQuery"],
        setQuery: ["datasets", "setQuery"],
        setSort: ["datasets", "setSort"],
        getCount: ["datasets", "getDatasetsCount"],
        getLoading: ["datasets", "getLoading"],
        getFacets: ["datasets", "getFacets"],
      }
    }
  },
  computed: {
    ...mapGetters("datasets", ["getFacets", "getQuery", "getAllAvailableFacets",
      "getLoading", "getDatasetsCount"])
  }
}
</script>
